Name:           python-sssegmentation
Version:        1.7.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        SSSegmentation: An Open Source Supervised Semantic Segmentation Toolbox Based on PyTorch

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/SegmentationBLWX/sssegmentation
Source:         %{pypi_source sssegmentation}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sssegmentation' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sssegmentation
Summary:        %{summary}

%description -n python3-sssegmentation %_description


%prep
%autosetup -p1 -n sssegmentation-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sssegmentation -f %{pyproject_files}


%changelog
%autochangelog